aboutsummaryrefslogtreecommitdiffstats
path: root/core/mpfr
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2008-11-12 07:35:56 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2008-11-12 07:35:56 +0000
commit5aaafe3a2244db767dc8c12d97b43738085626cf (patch)
treeec23d6c9520f580e05ec4b3b1dcf974b781f9e68 /core/mpfr
parente1a7078da533748c9de5800fff04eb2dae532070 (diff)
downloadaports-5aaafe3a2244db767dc8c12d97b43738085626cf.tar.bz2
aports-5aaafe3a2244db767dc8c12d97b43738085626cf.tar.xz
core/mpfr: new aport
Diffstat (limited to 'core/mpfr')
-rw-r--r--core/mpfr/APKBUILD25
1 files changed, 25 insertions, 0 deletions
diff --git a/core/mpfr/APKBUILD b/core/mpfr/APKBUILD
new file mode 100644
index 0000000000..320ac107ae
--- /dev/null
+++ b/core/mpfr/APKBUILD
@@ -0,0 +1,25 @@
+pkgname=mpfr
+pkgver=2.3.2
+pkgrel=2
+pkgdesc="multiple-precision floating-point library"
+url="http://www.mpfr.org/"
+license="GPL LGPL"
+depends="gmp"
+makedepends="gmp-dev texinfo"
+source="http://www.mpfr.org/mpfr-current/mpfr-2.3.2.tar.bz2"
+subpackages="$pkgname-doc"
+
+build ()
+{
+ cd "${srcdir}/${pkgname}-${pkgver}";
+ ./configure --prefix=/usr \
+ --disable-thread-safe \
+ --enable-shared || return 1;
+ make || return 1;
+ make DESTDIR="${pkgdir}" install || return 1;
+
+ cd "${pkgdir}/usr/share/info" || return 1;
+ rm -f dir;
+ gzip * || return 1
+}
+md5sums="527147c097874340cb9cee0579dacf3b mpfr-2.3.2.tar.bz2"